List LOA configurations
List the LOA configurations.
GET
/
porting
/
loa_configurations
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const portingLoaConfiguration of client.porting.loaConfigurations.list()) {
console.log(portingLoaConfiguration.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.porting.loa_configurations.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Porting.LoaConfigurations.List(context.TODO(), telnyx.PortingLoaConfigurationListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.porting.loaconfigurations.LoaConfigurationListPage;
import com.telnyx.sdk.models.porting.loaconfigurations.LoaConfigurationListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
LoaConfigurationListPage page = client.porting().loaConfigurations().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.porting.loa_configurations.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->porting->loaConfigurations->list(pageNumber: 0, pageSize: 0);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx porting:loa-configurations list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/porting/loa_configurations \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "eef3340b-8903-4466-b445-89b697315a3a",
"company_name": "Telnyx",
"organization_id": "f1486bae-f067-460c-ad43-73a92848f902",
"name": "My LOA Configuration",
"logo": {
"document_id": "f1486bae-f067-460c-ad43-73a92848f902",
"content_type": "image/png"
},
"address": {
"street_address": "600 Congress Avenue",
"extended_address": "14th Floor",
"city": "Austin",
"state": "TX",
"zip_code": "78701",
"country_code": "US"
},
"contact": {
"email": "testing@telnyx.com",
"phone_number": "+12003270001"
},
"record_type": "porting_loa_configuration",
"created_at": "2021-03-19T10:07:15.527000Z",
"updated_at": "2021-03-19T10:07:15.527000Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Consolidated page parameter (deepObject style). Originally: page[size], page[number]
Show child attributes
Show child attributes
Was this page helpful?
⌘I
JavaScript
import Telnyx from 'telnyx';
const client = new Telnyx({
apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
});
// Automatically fetches more pages as needed.
for await (const portingLoaConfiguration of client.porting.loaConfigurations.list()) {
console.log(portingLoaConfiguration.id);
}import os
from telnyx import Telnyx
client = Telnyx(
api_key=os.environ.get("TELNYX_API_KEY"), # This is the default and can be omitted
)
page = client.porting.loa_configurations.list()
page = page.data[0]
print(page.id)package main
import (
"context"
"fmt"
"github.com/team-telnyx/telnyx-go"
"github.com/team-telnyx/telnyx-go/option"
)
func main() {
client := telnyx.NewClient(
option.WithAPIKey("My API Key"),
)
page, err := client.Porting.LoaConfigurations.List(context.TODO(), telnyx.PortingLoaConfigurationListParams{})
if err != nil {
panic(err.Error())
}
fmt.Printf("%+v\n", page)
}package com.telnyx.sdk.example;
import com.telnyx.sdk.client.TelnyxClient;
import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
import com.telnyx.sdk.models.porting.loaconfigurations.LoaConfigurationListPage;
import com.telnyx.sdk.models.porting.loaconfigurations.LoaConfigurationListParams;
public final class Main {
private Main() {}
public static void main(String[] args) {
TelnyxClient client = TelnyxOkHttpClient.fromEnv();
LoaConfigurationListPage page = client.porting().loaConfigurations().list();
}
}require "telnyx"
telnyx = Telnyx::Client.new(api_key: "My API Key")
page = telnyx.porting.loa_configurations.list
puts(page)<?php
require_once dirname(__DIR__) . '/vendor/autoload.php';
use Telnyx\Client;
use Telnyx\Core\Exceptions\APIException;
$client = new Client(apiKey: getenv('TELNYX_API_KEY') ?: 'My API Key');
try {
$page = $client->porting->loaConfigurations->list(pageNumber: 0, pageSize: 0);
var_dump($page);
} catch (APIException $e) {
echo $e->getMessage();
}telnyx porting:loa-configurations list \
--api-key 'My API Key'curl --request GET \
--url https://api.telnyx.com/v2/porting/loa_configurations \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "eef3340b-8903-4466-b445-89b697315a3a",
"company_name": "Telnyx",
"organization_id": "f1486bae-f067-460c-ad43-73a92848f902",
"name": "My LOA Configuration",
"logo": {
"document_id": "f1486bae-f067-460c-ad43-73a92848f902",
"content_type": "image/png"
},
"address": {
"street_address": "600 Congress Avenue",
"extended_address": "14th Floor",
"city": "Austin",
"state": "TX",
"zip_code": "78701",
"country_code": "US"
},
"contact": {
"email": "testing@telnyx.com",
"phone_number": "+12003270001"
},
"record_type": "porting_loa_configuration",
"created_at": "2021-03-19T10:07:15.527000Z",
"updated_at": "2021-03-19T10:07:15.527000Z"
}
],
"meta": {
"total_pages": 3,
"total_results": 55,
"page_number": 2,
"page_size": 25
}
}